object frmDateRange: TfrmDateRange
  Left = 300
  Top = 277
  Width = 291
  Height = 315
  BorderIcons = [biSystemMenu]
  Caption = 'Date Range'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poMainFormCenter
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object pnlByYear: TPanel
    Left = 6
    Top = 185
    Width = 271
    Height = 69
    BevelOuter = bvNone
    TabOrder = 2
    object cboQuarter: TComboBox
      Left = 47
      Top = 42
      Width = 136
      Height = 21
      Style = csDropDownList
      Enabled = False
      ItemHeight = 13
      TabOrder = 5
      Items.Strings = (
        'Oct-Dec'
        'Jan-Mar'
        'Apr-Jun'
        'Jul-Sep')
    end
    object chkQuarter: TCheckBox
      Left = 13
      Top = 44
      Width = 32
      Height = 17
      Caption = 'for'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clBtnText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 4
      OnClick = chkQuarterClick
    end
    object txtYear: TMaskEdit
      Left = 132
      Top = 8
      Width = 30
      Height = 21
      EditMask = '9999;0;_'
      MaxLength = 4
      TabOrder = 2
      Text = '2002'
      OnChange = txtYearChange
      OnExit = txtYearExit
    end
    object spnYear: TUpDown
      Left = 162
      Top = 8
      Width = 15
      Height = 21
      Associate = txtYear
      Min = 1990
      Max = 2100
      Position = 2002
      TabOrder = 3
      Thousands = False
      Wrap = False
    end
    object radYearCalendar: TRadioButton
      Left = 12
      Top = 0
      Width = 85
      Height = 17
      Caption = 'Calendar Year'
      TabOrder = 0
      OnClick = radYearCalendarClick
    end
    object radYearFiscal: TRadioButton
      Left = 12
      Top = 18
      Width = 73
      Height = 17
      Caption = 'Fiscal Year'
      TabOrder = 1
      OnClick = radYearFiscalClick
    end
  end
  object pnlByDates: TPanel
    Left = 6
    Top = 191
    Width = 271
    Height = 60
    BevelOuter = bvNone
    TabOrder = 1
    object lblFrom: TLabel
      Left = 17
      Top = 5
      Width = 26
      Height = 13
      Alignment = taRightJustify
      Caption = 'From:'
    end
    object lblThru: TLabel
      Left = 0
      Top = 37
      Width = 43
      Height = 13
      Alignment = taRightJustify
      Caption = 'Through:'
    end
    object calFrom: TDateTimePicker
      Left = 45
      Top = 0
      Width = 130
      Height = 21
      CalAlignment = dtaLeft
      Date = 37483.5283167477
      Time = 37483.5283167477
      DateFormat = dfShort
      DateMode = dmComboBox
      Kind = dtkDate
      ParseInput = False
      TabOrder = 0
      OnExit = calFromExit
    end
    object calThru: TDateTimePicker
      Left = 45
      Top = 32
      Width = 130
      Height = 21
      CalAlignment = dtaLeft
      Date = 37483.5283167477
      Time = 37483.5283167477
      DateFormat = dfShort
      DateMode = dmComboBox
      Kind = dtkDate
      ParseInput = False
      TabOrder = 2
    end
    object chkNoStart: TCheckBox
      Left = 184
      Top = 4
      Width = 85
      Height = 17
      Caption = 'No Start Date'
      TabOrder = 1
      OnClick = chkNoStartClick
    end
    object chkNoStop: TCheckBox
      Left = 184
      Top = 36
      Width = 85
      Height = 17
      Caption = 'No Stop Date'
      TabOrder = 3
      OnClick = chkNoStopClick
    end
  end
  object btnOK: TButton
    Left = 64
    Top = 260
    Width = 72
    Height = 21
    Caption = 'OK'
    Default = True
    TabOrder = 3
    OnClick = btnOKClick
  end
  object btnCancel: TButton
    Left = 148
    Top = 260
    Width = 72
    Height = 21
    Cancel = True
    Caption = 'Cancel'
    TabOrder = 4
    OnClick = btnCancelClick
  end
  object grpRange: TGroupBox
    Left = 6
    Top = 6
    Width = 271
    Height = 172
    Caption = ' Specify the Date Range  '
    TabOrder = 0
    object radByDates: TRadioButton
      Tag = -1
      Left = 12
      Top = 132
      Width = 118
      Height = 17
      Caption = 'Using Specific Dates'
      Checked = True
      TabOrder = 6
      TabStop = True
      OnClick = radByDatesClick
    end
    object radByYear: TRadioButton
      Tag = -2
      Left = 12
      Top = 150
      Width = 165
      Height = 17
      Caption = 'Using Quarter or Year'
      TabOrder = 7
      OnClick = radByYearClick
    end
    object radToday: TRadioButton
      Left = 12
      Top = 18
      Width = 91
      Height = 17
      Caption = 'Today'
      TabOrder = 0
      OnClick = radPresetClick
    end
    object radPast24: TRadioButton
      Tag = 1
      Left = 12
      Top = 36
      Width = 91
      Height = 17
      Caption = 'Past 24 Hours'
      TabOrder = 1
      OnClick = radPresetClick
    end
    object radPastWeek: TRadioButton
      Tag = 7
      Left = 12
      Top = 54
      Width = 85
      Height = 17
      Caption = 'Past Week'
      TabOrder = 2
      OnClick = radPresetClick
    end
    object radPastMonth: TRadioButton
      Tag = 30
      Left = 12
      Top = 72
      Width = 79
      Height = 17
      Caption = 'Past Month'
      TabOrder = 3
      OnClick = radPresetClick
    end
    object radThisQuarter: TRadioButton
      Tag = 90
      Left = 12
      Top = 90
      Width = 91
      Height = 17
      Caption = 'Current Quarter'
      TabOrder = 4
      OnClick = radPresetClick
    end
    object radThisYear: TRadioButton
      Tag = 365
      Left = 12
      Top = 108
      Width = 109
      Height = 17
      Caption = 'Current Fiscal Year'
      TabOrder = 5
      OnClick = radPresetClick
    end
  end
end
