unit fPtList;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, mMultiPatient, uCohort;

type
  TfrmPtList = class(TForm)
    fraPtSelect: TfraMultiPatient;
    btnOK: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure fraPtSelectbtnRemoveClick(Sender: TObject);
    procedure fraPtSelectlstSelectedKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    FSavedCohort: TCohort;
  public
    class procedure InvokeEditor(var ACaption: string; ValueList: TStringList);
  end;

implementation

{$R *.DFM}

uses ORFn;

{ TfrmPtList }

class procedure TfrmPtList.InvokeEditor(var ACaption: string; ValueList: TStringList);
var
  frmPtList: TfrmPtList;
begin
  frmPtList := TfrmPtList.Create(Application);
  try
    //ResizeAnchoredFormToFont(frmPtList);
    frmPtList.FSavedCohort.Assign(Cohort);
    if frmPtList.ShowModal = mrOK then
    begin
      if frmPtlist.fraPtSelect.tabLists.TabIndex = 0 then
        Cohort.UpdateSoruceValues(frmPtlist.fraPtSelect.lblTimeData.Caption);
      ACaption := Cohort.SourceListCaption;
      Cohort.LoadSourceValues(ValueList);
    end
    else Cohort.Assign(frmPtList.FSavedCohort);
  finally
    frmPtList.Release;
  end;
end;

procedure TfrmPtList.FormCreate(Sender: TObject);
begin
  FSavedCohort := TCohort.Create;
end;

procedure TfrmPtList.FormDestroy(Sender: TObject);
begin
  FSavedCohort.Free;
end;

procedure TfrmPtList.btnOKClick(Sender: TObject);
begin
  Self.ModalResult := mrOK;
end;

procedure TfrmPtList.btnCancelClick(Sender: TObject);
begin
  Self.ModalResult := mrCancel;
end;

procedure TfrmPtList.fraPtSelectbtnRemoveClick(Sender: TObject);
begin
  fraPtSelect.popDeleteClick(Sender);
end;

procedure TfrmPtList.fraPtSelectlstSelectedKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
 if Key = VK_DELETE	then
  fraPtSelect.popDeleteClick(Sender);
end;

end.
